<?php
/*	=====================================================
	section_select, Version 1.05.000
	=====================================================

$module_directory     = 'section_select';
$module_name          = 'Section Select';
$module_function      = 'page';
$module_version       = '1.05.000';
$module_platform      = '2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'select another section and show that content here on runtime';
$module_guid          = '876e64a1-5e1d-462e-aa3a-043552be1b84';
$module_home          = 'www.wolfgangstuder.ch | www.lepton-cms.com';
$lepador_link         = 'http://www.lepton-cms.com/lepador/modules/section_select.php';
$forum_link           = 'http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059';

=====================================================

INTRO
==================================

Ein Modul für das LEPTON CMS.

Dieses Modul erlaubt die mehrfache Wiederverwendung eines Abschnittes auf der gleichen
und/oder anderen Seite.
Die Benutzung eines solchen referenzierten Abschnittes kann an eine Kondition gebunden
werden.

>> Dieses Modul ist ein Fork des Moduls section_picker
>> Erstellt von Ruud Eisinga und Sare

Es gibt jedoch diverse Verbesserungen.
Siehe README_en.txt für mehr Details.

Dieses Modul unterstützt das Modul "lib_logger" und kann damit verschiedene
Fehler, Aktivitäten und SQLs in einer Datenbank Tabelle speichern und im Modul
"logger" anzeigen.
Die Module "lib_logger" und "logger" sind optional und für den
Betrieb dieses Modules nicht zwingend.

Dieses Modul unterstützt das Modul "lib_dependency" zur Sicherstellung von
Abhängigkeiten während einer De-Installation.
Das Modul "lib_dependency" ist optional und für den Betrieb dieses Modules nicht
zwingend.
Das Modul kann auch nachträglich installiert werden, vorhandene Abhängigkeiten
werden semi-automatisch eingetragen (register_dependency.php).
Siehe auch die README.de.txt Datei von "lib_dependency" für weitere Informationen.

PRE-REQUIREMENTS
==================================
>=       2.2 : LEPTON_VERSION
>=       5.6 : PHP_VERSION
>=  1.04.000 : WB_ADDONS[ 'lib_setuphelper' ]
>=  1.24.0.0 : WB_ADDONS[ 'lib_twig' ]
>=  0.03.001 : WB_ADDONS[ 'lib_dependency' ] (optional)
>=  0.05.002 : WB_ADDONS[ 'lib_logger' ] (optional)

INSTALLATION
==================================

1. Lade die letzte Version von
	http://www.lepton-cms.com/lepador/modules/section_select.php
2. Melde dich im Lepton CMS Backend an
3. Gehe zu Erweiterungen -> Module
4. Im Block "Modul installieren", wähle die im Schritt 1 heruntergeladene
	section_select ZIP Datei, dann klicke auf den "Installieren" Button.


DE-INSTALLATION
==================================

1. Melde dich im Lepton CMS Backend an
2. Gehe zu Erweiterungen -> Module
3. Im Block "Modul deinstallieren", wähle das Modul "section_select",
	dann klicke auf den "Deinstallieren" Button.

BENUTZUNG VON section_select
==================================

Erstelle einen neuen Abschnitt auf einer Seite deiner Wahl mit "Art" = "section_select".

In diesem Abschnitt hast du nun:
- Mehrere Formular-Felder zur Erfassung des referenzierten Abschnittes
- Eine Möglichkeit, diesen Abschnitt mit einem Klick zu aktivieren/deaktivieren.
- Ein Notitz Feld für interne Informationen zu diesem Abschnitt
- Ein "Speichern" Button
- Ein "Abbrechen" Button


Standardmässig sind nur 2 Konditionen vorhanden.
Eigene Konditionen können über die Datei lib.backend.config.php im backend Template
Verzeichnis hinzugefügt werden. Siehe eine Beschreibung der Pfade weiter unten.
Beispiele für Konditionen sind:
	$secsel_conditions[ 'MONDAY' ]		= addslashes( 'return ( date("N",time() ) == 1 );' );
	$secsel_conditions[ 'TUESDAY' ]	= addslashes( 'return ( date("N",time() ) == 2 );' );
	$secsel_conditions[ 'WEDNESDAY' ]	= addslashes( 'return ( date("N",time() ) == 3 );' );
	$secsel_conditions[ 'THURSDAY' ]	= addslashes( 'return ( date("N",time() ) == 4 );' );
	$secsel_conditions[ 'FRIDAY' ]		= addslashes( 'return ( date("N",time() ) == 5 );' );
	$secsel_conditions[ 'SATURDAY' ]	= addslashes( 'return ( date("N",time() ) == 6 );' );
	$secsel_conditions[ 'SUNDAY' ]		= addslashes( 'return ( date("N",time() ) == 7 );' );
	$secsel_conditions[ 'EARLY' ]		= addslashes( 'return (( date("H",time() ) >= 6 ) AND ( date("H",time() ) < 9 ));' );
	$secsel_conditions[ 'MORNING' ]	= addslashes( 'return (( date("H",time() ) >= 9 ) AND ( date("H",time() ) < 12 ));' );
	$secsel_conditions[ 'NOON' ]		= addslashes( 'return  ( date("H",time() ) == 12 );' );
	$secsel_conditions[ 'AFTERNOON' ]	= addslashes( 'return (( date("H",time() ) >= 13 ) AND ( date("H",time() ) < 18 ));' );
	$secsel_conditions[ 'EVENING' ]	= addslashes( 'return (( date("H",time() ) >= 18 ) AND ( date("H",time() ) < 22 ));' );
	$secsel_conditions[ 'NIGHT' ]		= addslashes( 'return (( date("H",time() ) >= 22 ) OR  ( date("H",time() ) < 6 ));' );

Nicht vergessen, die entsprechenden Uebersetzungen zu definieren, z.B.
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'MONDAY' ]		= 'Montag';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'TUESDAY' ]		= 'Dienstag';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'WEDNESDAY' ]	= 'Mittwoch';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'THURSDAY' ]	= 'Donnerstag';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'FRIDAY' ]		= 'Freitag';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'SATURDAY' ]	= 'Samstag';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'SUNDAY' ]		= 'Sonntag';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'EARLY' ]		= 'Von 06:00 bis 08:59';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'MORNING' ]		= 'Von 09:00 bis 11:59';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'NOON' ]		= 'Von 12:00 bis 12:59';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'AFTERNOON' ]	= 'Von 13:00 bis 17:59';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'EVENING' ]		= 'Von 18:00 bis 21:59';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'NIGHT' ]		= 'Von 22:00 bis 05:59';



BENUTZUNG VON lib_dependency
==================================

Beachte bitte das diese Funktion nur verfügbar ist, wenn das Modul "lib_dependency"
installiert ist!

Während der normalen Benutzung des Moduls "section_select" wird man nichts vom
Modul "lib_dependency" bemerken.

Nur in den folgenden Situationen macht sich "lib_dependency" bemerkbar:
- wenn jemand versucht, eine als abhängig registriertes Modul von "section_select"
zu De-Installieren, erscheint eine Fehlermeldung und die De-Installation des abhängigen
Moduls wird abgebrochen ("section_select" ist "Eltern-Modul").
- wenn jemand versucht, "section_select" zu De-Installieren und "section_select"
ist eine registrierte Abhängigkeit eines anderen Moduls, erscheint eine Fehlermeldung
und die De-Installation von "section_select" wird abgebrochen
("section_select" ist "Kind-Modul").

EIGENE ERWEITERUNGEN
===========================

Dieses Modul wurde so entwickelt, das es durch den System-Administrator an verschiedenen
Punkten erweitert werden kann, ohne im Modul selbst Aenderungen vorzunehmen und dadurch
die Aenderungen bei einem allfälligen Update zu verlieren.
Hier nachfolgend die Punkte und Dateien:

Benutze Variablen:
- {LEPTON_PATH}   = der LEPTON CMS Installations Pfad
- {DEFAULT_THEME} = das verwendete Backend Theme
- {TEMPLATE}      = das verwendete Frontend Template
- {COMPONENT}     = der Komponenten Name, z.B. "modify_optionizer"
- {LANGUAGE}      = der momentan verwendete Sprachcode, in Grossbuchstaben

- {BACKEND_PATH}  = {LEPTON_PATH}/templates/{DEFAULT_THEME}/backend/section_select
- {FRONTEND_PATH} = {LEPTON_PATH}/templates/{TEMPLATE}/frontend/section_select


Für das Backend:
- {BACKEND_PATH}/backend.css
	>> hier kann das verwendete Standard Style überschrieben werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!

- {BACKEND_PATH}/languages/{LANGUAGE}.php
	>> hier kann der verwendete Standard Text überschrieben werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.backend.config.{COMPONENT}.php
	>> In dieser Datei können Standard Konfigurations Werte überschrieben werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.data.{COMPONENT}.php
	>> diese Datei wird ausgeführt, nachdem das SQL ausgeführt wurde. Benutze diese Datei
		wenn Daten manipuliert werden sollen, bevor diese an die TWIG Engine übergeben
		werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php
	>> Benutze diese Datei, wenn zusätzliche Variablen im TWIG Template verwendet werden
		sollen.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/templates/backend/{COMPONENT}.lte
	>> mit dieser Datei kann das Standard Template ersetzt werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!
	Wichtig: Es kann auch ein Template  mit einem anderen Namen verwendet werden.
	Dazu muss in: {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php
	folgendes definiert werden:
		// define twig template
		$twigTemplate =  '<<dein Template Name>>';

Für das Frontend:
- {FRONTEND_PATH}/frontend.css
	>> hier kann das verwendete Standard Style überschrieben werden
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!

- {FRONTEND_PATH}/languages/{LANGUAGE}.php
	>> hier kann der verwendete Standard Text überschrieben werden.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/lib/lib.backend.config.{COMPONENT}.php
	>> In dieser Datei können Standard Konfigurations Werte überschrieben werden.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/lib/lib.data.{COMPONENT}.php
	>> diese Datei wird ausgeführt, nachdem das SQL ausgeführt wurde. Benutze diese Datei
		wenn Daten manipuliert werden sollen, bevor diese an die TWIG Engine übergeben
		werden.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/lib/lib.twig.{COMPONENT}.php
	>> Benutze diese Datei, wenn zusätzliche Variablen im TWIG Template verwendet werden
		sollen.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/templates/frontend/{COMPONENT}.lte
	>> mit dieser Datei kann das Standard Template ersetzt werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!
	Wichtig: Es kann auch ein Template  mit einem anderen Namen verwendet werden.
	Dazu muss in: {FRONTEND_PATH}/lib/lib.twig.{COMPONENT}.php
	folgendes definiert werden:
		// define twig template
		$twigTemplate =  '<<dein Template Name>>';



WEITERE DOKUMENTATION
===========================

Weitere Informationen zu diesem Modul findet sich im LEPTON CMS Forum
http://forum.lepton-cms.org/index.php

!! Beachtet bitte das das Forum nur in englischer Sprache geführt wird !!


Enjoy!
*/
?>
