<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// init processing
	$referedSection = 0;
	$doProcessing = FALSE;

//	when data are available, do validation
	if ( count( $data ) > 0 ):
		// dummy loop
		while ( 1==1 ):

			// process only if a refered section_id is defined
			if ( $data[ 'refered_section_id' ] > 0 ):
				$referedSection = $data[ 'refered_section_id' ];
			else:
				// abort
				break;
			endif;

			// check if condition is true
			if ( strlen( $data[ 'refered_condition' ] ) > 0 ):
				$evalResult = eval( stripslashes( $data[ 'refered_condition' ] ));
				if ( $evalResult != TRUE ):
					// abort
					break;
				endif;
			endif;

			// get the section data of the refered section
			$query = 'SELECT *'
					. '  FROM ' . TABLE_PREFIX . 'sections'
					. ' WHERE `section_id` = ' . $referedSection
					. ' LIMIT 1'
					;

			$section = secsel_execute_query( __FUNCTION__, $query, 'get_all_one', $secsel_vars );
			if ( count( $section ) == 0 ):
				// abort
				break;
			endif;

		// section data validation
			// not yet valid
			if (( $section[ 'publ_start' ] > 0 )
			and ( $section[ 'publ_start' ] > time() )):
				// abort
				break;
			endif;
			// no longer valid
			if (( $section[ 'publ_end' ] > 0 )
			and ( $section[ 'publ_end' ] < time() )):
				// abort
				break;
			endif;
			// missing module
			if ( strlen( $section[ 'module' ] ) == 0 ):
				// abort
				break;
			endif;
			// check if refered section module is available
			$processingModule  = LEPTON_PATH . DIRECTORY_SEPARATOR . 'modules'
								. DIRECTORY_SEPARATOR . $section[ 'module' ]
								. DIRECTORY_SEPARATOR . 'view.php';
			if ( file_exists( $processingModule ) != TRUE ):
				// abort
				break;
			endif;

			// get the page data of the refered section
			$query = 'SELECT *'
					. '  FROM ' . TABLE_PREFIX . 'pages'
					. ' WHERE `page_id` = ' . $section[ 'page_id' ]
					. ' LIMIT 1'
					;

			$page = secsel_execute_query( __FUNCTION__, $query, 'get_all_one', $secsel_vars );
			if ( count( $page ) == 0 ):
				// abort
				break;
			endif;

		// page data validation
			// check visibility
			if ( $wb->page_is_visible( $page ) == FALSE ):
				// abort
				break;
			endif;

		// all validation checks passed
			$doProcessing = TRUE;
			// abort loop in any case
			break;
		endwhile;
	endif;

//	when data are available and valid, do processing
	if ( $doProcessing == TRUE ):
		// save current
		$oldPageId		= $page_id;
		$oldSectionId	= $section_id;

		// assign section ID variable
		$page_id		=  $section[ 'page_id' ];
		$section_id		=  $section[ 'section_id' ];

		// execute the refered module view.php
		require( $processingModule );

		// restore current
		$page_id		= $oldPageId;
		$section_id		= $oldSectionId;
	endif;

?>
